> For the complete documentation index, see [llms.txt](https://docs.reveald.com/technical-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.reveald.com/technical-documentation/admin-guides/epiphany-validation-engine-users-guide/chapter-1-architecture-of-eve/endpoint.md).

# Endpoint

For the EVE environment, the Endpoint is a virtual machine (preferably) with the golden image of the system the user want to test. This image must be behind all the cybersecurity controls that the company or organization will test; any type of virtualization is supported if the tests are run directly on the operating system.

For the Endpoint to be used in EVE Emulations the user must consider these points:

* Virtual Machine with golden image
* EVE Agent Installed.
* Added exceptions in security solutions.
* Allowed IP addresses/urls configured.&#x20;
* Snapshot of Virtual Machine (if applicable).

Considering these points, the Endpoint can be considered ready for evaluations.

The preferred form of the Endpoint is using a Virtual Machine, but it is possible to install the EVE software on physical machines. Whereas it is more difficult to restore physical machines in case they are compromised. Therefore, the preferred form of installation is on virtual machines. This means, EVE is not targeting or interacting with the production servers of the organization.

### OPERATION

The EVE platform operates by deploying agents in a representative manner. This means that by deploying a single agent within a zone where assets share the same security configuration across network, endpoint, and execution vectors, the entire security stack can be effectively evaluated.&#x20;

Therefore, it is not necessary to emulate on every endpoint within the zone. However, if there is a variation in the security configuration within the same zone, it is recommended to deploy an additional agent to ensure comprehensive evaluation.

### DEPLOYMENT

The EVE agent can be deployed across a wide range of environments, including user workstations, on-premises servers, and cloud-hosted workloads. Deployment is supported as long as the system runs a compatible operating system. Currently, EVE supports both Windows and Linux operating systems, enabling consistent validation and visibility across endpoint, server, and cloud infrastructures.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.reveald.com/technical-documentation/admin-guides/epiphany-validation-engine-users-guide/chapter-1-architecture-of-eve/endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
